#!/usr/bin/perl -w
#
# IpToCountry.1576388461.csv
#
# "16777216","16777471","apnic","1313020800","AU","AUS","Australia"
#
# --->
#
# MandMind GeoIPCountryWhois.csv:
# 
# "1.0.0.0","1.0.0.255","16777216","16777471","AU","Australia"

use warnings;

while (<>) {
	next	if ($_ !~ /^"/);
	chomp();
	
	my ($start, $end, $x1, $x2, $ccode, $x3, $cname ) = split( "," );

	next	if ($ccode eq '"ZZ"');		# Reserved are recognized by GeoIP

	$ccode	= "SD"	if ($ccode eq '"SS"');		# South Sudan, invalid?

	$start	=~ s/"//g;
	$end	=~ s/"//g;

	printf( '"%s","%s","%d","%d",%s,%s%s',
		num2ip( $start), num2ip( $end ),
		$start, $end,
		$ccode, $cname,
		"\n" );
}

sub num2ip
{
	return( join( ".", unpack( "C4", pack( "N",$_[0] ) ) ) );
}

exit( 0 );
